clear all
set more off

use data/working/minimal.dta, replace
preserve

*** COLUMN 1 ***
keep if treatment_subway==0
local periods _post17 _pre18
local group1 treatment_main
foreach period of local periods {
	mhtexp integration_2025`period' confidence_2025`period' integration_2050`period' confidence_2050`period', treatment(`group1')
		forvalues i = 1(1)4{
		local p_value`period'_`i' = results[`i',7]
		}
	}
foreach period of local periods {
	mhtexp democracy_nodiff`period' pol_attitude`period' ccp_legitimate_now`period' independence_attitude`period', treatment(`group1')
		forvalues i = 5(1)8{
		local p_value`period'_`i' = results[`i'-4,7]
		}
	}
foreach period of local periods {
	mhtexp independence_afraid`period' sec_democracy_nodiff_hk`period' sec_ccp_legitimate_hk`period' sec_indep_attitude_hk`period', treatment(`group1')
		forvalues i = 9(1)12{
		local p_value`period'_`i' = results[`i'-8,7]
		}
	}
restore
preserve

*** COLUMN 3 ***
keep if treatment_main==1 | treatment_subway==1
local group1 treatment_main
foreach period of local periods {
	mhtexp integration_2025`period' confidence_2025`period' integration_2050`period' confidence_2050`period', treatment(`group1')
		forvalues i = 13(1)16{
		local p_value`period'_`i' = results[`i'-12,7]
		}
	}
foreach period of local periods {
	mhtexp democracy_nodiff`period' pol_attitude`period' ccp_legitimate_now`period' independence_attitude`period', treatment(`group1')
		forvalues i = 17(1)20{
		local p_value`period'_`i' = results[`i'-16,7]
		}
	}
foreach period of local periods {
	mhtexp independence_afraid`period' sec_democracy_nodiff_hk`period' sec_ccp_legitimate_hk`period' sec_indep_attitude_hk`period', treatment(`group1')
		forvalues i = 21(1)24{
		local p_value`period'_`i' = results[`i'-20,7]
		}
	}
restore
preserve

*** COLUMN 5 ***
keep if treatment_main==0
local group1 treatment_subway
foreach period of local periods {
	mhtexp integration_2025`period' confidence_2025`period' integration_2050`period' confidence_2050`period', treatment(`group1')
		forvalues i = 25(1)28{
		local p_value`period'_`i' = results[`i'-24,7]
		}
	}
foreach period of local periods {
	mhtexp democracy_nodiff`period' pol_attitude`period' ccp_legitimate_now`period' independence_attitude`period', treatment(`group1')
		forvalues i = 29(1)32{
		local p_value`period'_`i' = results[`i'-28,7]
		}
	}
foreach period of local periods {
	mhtexp independence_afraid`period' sec_democracy_nodiff_hk`period' sec_ccp_legitimate_hk`period' sec_indep_attitude_hk`period', treatment(`group1')
		forvalues i = 33(1)36{
		local p_value`period'_`i' = results[`i'-32,7]
		}
	}
	
***isolate the adjusted p-values
clear
gen post17 = 0
gen pre18 = 0
set obs 36
gen num = _n
 forvalues j = 1(1)36 {
	replace post17=`p_value_post17_`j'' if num==`j'
 }

 forvalues j = 1(1)36 {
	replace pre18=`p_value_pre18_`j'' if num==`j'
 }
 drop num
 export delimited "minimal/MHT_P_Values.txt",replace
